Skip to main content
Resource Center/Hardware/Host Operations
POSTHost OperationsSince 3.1.0SynchronousAuth Required

AddKVMHostFromConfigFile

AddKVMHostFromConfigFile

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • hostInfoStringRequired

      The host information encoded in Base64 format.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resultsListRequired

    See results.

    • ipStringRequired

      The host IP address.

    • successbooleanRequired

      操作是否成功。

    • errorErrorCodeRequired

      See error.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/hosts/kvm/from-file

/zstack/v1/hosts/kvm/from-file

Operation ID

AddKVMHostFromConfigFile

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hosts/kvm/from-file' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"hostInfo":"<hostInfo>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "results": [ { "ip": "127.0.0.1", "success": true } ] }

Change History

This API has no change history records yet.

View all change history